Package com.massivecraft.factions.integration.dynmap

## Class EngineDynmap

- java.lang.Object
- - com.massivecraft.factions.integration.dynmap.EngineDynmap

    public class EngineDynmap
    extends java.lang.Object

### Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`(package private) static class` | `EngineDynmap.Direction` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `BLOCKS_PER_CHUNK` |
`static java.lang.String` | `DYNMAP_INTEGRATION` |
`org.dynmap.DynmapAPI` | `dynmapApi` |
`static java.lang.String` | `FACTIONS` |
`static java.lang.String` | `FACTIONS_` |
`static java.lang.String` | `FACTIONS_HOME` |
`static java.lang.String` | `FACTIONS_HOME_` |
`static java.lang.String` | `FACTIONS_MARKERSET` |
`static java.lang.String` | `FACTIONS_PLAYERSET` |
`static java.lang.String` | `FACTIONS_PLAYERSET_` |
`org.dynmap.markers.MarkerAPI` | `markerApi` |
`org.dynmap.markers.MarkerSet` | `markerset` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.Map<java.lang.String,​TempAreaMarker>` | `createAreas()` |
`java.util.Map<java.lang.String,​TempAreaMarker>` | `createAreas​(java.lang.String world, Faction faction, java.util.Set<FLocation> chunks)` |
`java.util.Map<java.lang.String,​TempAreaMarker>` | `createAreas​(java.util.Map<java.lang.String,​java.util.Map<Faction,​java.util.Set<FLocation>>> worldFactionChunks)` |
`java.util.Map<java.lang.String,​TempMarker>` | `createHomes()` |
`TempMarkerSet` | `createLayer()` |
`java.util.Set<java.lang.String>` | `createPlayerset​(Faction faction)` |
`java.lang.String` | `createPlayersetId​(Faction faction)` |
`java.util.Map<java.lang.String,​java.util.Set<java.lang.String>>` | `createPlayersets()` |
`java.util.Map<java.lang.String,​java.util.Map<Faction,​java.util.Set<FLocation>>>` | `createWorldFactionChunks()` |
`static java.lang.String` | `escapeHtml​(java.lang.String string)` |
`static java.lang.String` | `getHtmlPlayerName​(FPlayer fplayer)` |
`static java.lang.String` | `getHtmlPlayerString​(java.util.Collection<FPlayer> playersOfficersList)` |
`static EngineDynmap` | `getInstance()` |
`DynmapStyle` | `getStyle​(Faction faction)` |
`static void` | `info​(java.lang.String msg)` |
`void` | `init()` |
`static void` | `severe​(java.lang.String msg)` |
`void` | `updateAreas​(java.util.Map<java.lang.String,​TempAreaMarker> areas)` |
`boolean` | `updateCore()` |
`void` | `updateHomes​(java.util.Map<java.lang.String,​TempMarker> homes)` |
`boolean` | `updateLayer​(TempMarkerSet temp)` |
`void` | `updatePlayersets​(java.util.Map<java.lang.String,​java.util.Set<java.lang.String>> playersets)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BLOCKS_PER_CHUNK

    public static final int BLOCKS_PER_CHUNK

See Also:
  Constant Field Values

#### DYNMAP_INTEGRATION

    public static final java.lang.String DYNMAP_INTEGRATION

See Also:
  Constant Field Values

#### FACTIONS

    public static final java.lang.String FACTIONS

See Also:
  Constant Field Values

#### FACTIONS_

    public static final java.lang.String FACTIONS_

See Also:
  Constant Field Values

#### FACTIONS_MARKERSET

    public static final java.lang.String FACTIONS_MARKERSET

See Also:
  Constant Field Values

#### FACTIONS_HOME

    public static final java.lang.String FACTIONS_HOME

See Also:
  Constant Field Values

#### FACTIONS_HOME_

    public static final java.lang.String FACTIONS_HOME_

See Also:
  Constant Field Values

#### FACTIONS_PLAYERSET

    public static final java.lang.String FACTIONS_PLAYERSET

See Also:
  Constant Field Values

#### FACTIONS_PLAYERSET_

    public static final java.lang.String FACTIONS_PLAYERSET_

See Also:
  Constant Field Values

#### dynmapApi

    public org.dynmap.DynmapAPI dynmapApi

#### markerApi

    public org.dynmap.markers.MarkerAPI markerApi

#### markerset

    public org.dynmap.markers.MarkerSet markerset

### Method Detail

#### getInstance

    public static EngineDynmap getInstance()

#### getHtmlPlayerString

    public static java.lang.String getHtmlPlayerString​(java.util.Collection<FPlayer> playersOfficersList)

#### getHtmlPlayerName

    public static java.lang.String getHtmlPlayerName​(FPlayer fplayer)

#### escapeHtml

    public static java.lang.String escapeHtml​(java.lang.String string)

#### info

    public static void info​(java.lang.String msg)

#### severe

    public static void severe​(java.lang.String msg)

#### init

    public void init()

#### updateCore

    public boolean updateCore()

#### createLayer

    public TempMarkerSet createLayer()

#### updateLayer

    public boolean updateLayer​(TempMarkerSet temp)

#### createHomes

    public java.util.Map<java.lang.String,​TempMarker> createHomes()

#### updateHomes

    public void updateHomes​(java.util.Map<java.lang.String,​TempMarker> homes)

#### createAreas

    public java.util.Map<java.lang.String,​TempAreaMarker> createAreas()

#### createWorldFactionChunks

    public java.util.Map<java.lang.String,​java.util.Map<Faction,​java.util.Set<FLocation>>> createWorldFactionChunks()

#### createAreas

    public java.util.Map<java.lang.String,​TempAreaMarker> createAreas​(java.util.Map<java.lang.String,​java.util.Map<Faction,​java.util.Set<FLocation>>> worldFactionChunks)

#### createAreas

    public java.util.Map<java.lang.String,​TempAreaMarker> createAreas​(java.lang.String world,
                                                                            Faction faction,
                                                                            java.util.Set<FLocation> chunks)

#### updateAreas

    public void updateAreas​(java.util.Map<java.lang.String,​TempAreaMarker> areas)

#### createPlayersetId

    public java.lang.String createPlayersetId​(Faction faction)

#### createPlayerset

    public java.util.Set<java.lang.String> createPlayerset​(Faction faction)

#### createPlayersets

    public java.util.Map<java.lang.String,​java.util.Set<java.lang.String>> createPlayersets()

#### updatePlayersets

    public void updatePlayersets​(java.util.Map<java.lang.String,​java.util.Set<java.lang.String>> playersets)

#### getStyle

    public DynmapStyle getStyle​(Faction faction)